PPE_BYTE(3)

NAME
PPE_byte - generate 'parallel poll enable' command byte

SYNOPSIS

#include <gpib/ib.h>

uint8_t PPE_byte(unsigned int dio_line, int sense);

DESCRIPTION

PPE_byte() returns a 'parallel poll enable' command byte corresponding to the dio_line and sense arguments. The dio_line (valid values are 1 through 8) specifies which dio line the device being configured should use to send back its parallel poll response. The sense argument specifies the polarity of the response. If sense is nonzero, then the specified dio line will be asserted to indicate that the 'individual status bit' (or 'ist') is 1. If sense is zero, then the specified dio line will be asserted when ist is zero.

RETURN VALUE

The appropriate PPE command byte is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess